Bug 1202948 - When a Host is automatically added when Puppet runs for the first time, it leaves some fields blank
Summary: When a Host is automatically added when Puppet runs for the first time, it le...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Configuration Management
Version: Nightly
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-17 18:50 UTC by Chris Roberts
Modified: 2019-07-11 08:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-23 01:16:12 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Chris Roberts 2015-03-17 18:50:02 UTC
When provisioning a RHEL server by using a generic boot iso (other methods might be applicable as well) and a activation key, a new content host and a new (foreman) host are added to Satellite. The activation key contains all the necessary information such as lifecycle environment, host group etc. However, when checking out the newly created host (Hosts > All hosts > [the new host] > Edit), some fields aren't filled in (e.g. Host Group, Lifecycle Environment, Content Source) and have to be manually selected from the dropdowns. This seems odd, because all this information is available inside the activation key, so I expect it to be used for this new host object.

Version-Release number of selected component (if applicable): 6.0.8 (and previous, since 6.0)

How reproducible: Always

Steps to Reproduce:
1. Create a new activation key
2. Provision the host using this activation key
3. Do a initial Puppet run so that the Host is created
4. Edit the host to check the blank fields

Actual results:

The following dropdowns are blank:
- Host Group
- Lifecycle Environment
- Content Source

Expected results:

Use the values from the activation key.

Comment 1 RHEL Program Management 2015-03-17 18:53:18 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Ohad Levy 2015-03-18 08:53:06 UTC
this indeed seems wrong, can you provide logs/foreman debug on when the operation happens?


Note You need to log in before you can comment on or make changes to this bug.